Xeonr Developer Docs

ListPipelines

POST
/uplim.api.v1.PipelineAdminService/ListPipelines

-------- Pipeline CRUD --------

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

integrationId?string
Formatuuid
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.PipelineAdminService/ListPipelines" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "pipelines": [
    {
      "id": "string",
      "integrationId": "string",
      "contentTypeUrn": "string",
      "resourceKind": "PIPELINE_RESOURCE_KIND_UNSPECIFIED",
      "version": 0,
      "status": "PIPELINE_STATUS_UNSPECIFIED",
      "steps": [
        {
          "stepId": "string",
          "kind": "PIPELINE_STEP_KIND_UNSPECIFIED",
          "exec": {
            "ref": "string",
            "inputs": {
              "property1": "string",
              "property2": "string"
            },
            "configJson": "string",
            "outputs": [
              {
                "slot": "string",
                "required": true,
                "blob": {
                  "name": "string",
                  "mimeHint": "string",
                  "maxSizeBytes": 0
                }
              }
            ],
            "secrets": [
              {
                "name": "string",
                "from": "string"
              }
            ]
          }
        }
      ],
      "policy": {
        "maxRetriesPerStep": 5,
        "stepTimeoutSec": 1,
        "pipelineTimeoutSec": 0
      },
      "createdAt": "2023-01-15T01:30:15.01Z",
      "updatedAt": "2023-01-15T01:30:15.01Z",
      "publishedAt": "2023-01-15T01:30:15.01Z"
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}